Skip to content
The API may change between versions while TTX-Zone is 0.x.

Lead exercises

GET
/api/v1/auth/me/lead-exercises
curl --request GET \
--url https://example.com/api/v1/auth/me/lead-exercises \
--cookie ttx_access_token=<ttx_access_token>

The exercises whose Lead Planner role deleting this account must hand over, each with the members who could take it.

Successful Response

Media typeapplication/json
LeadExerciseListResponse
object
items
required
Items
Array<object>
LeadExerciseRead
object
candidates
required
Candidates
Array<object>
LeadHandoverCandidate
object
full_name
required
Full Name
string
user_id
required
User Id
string format: uuid
organization_name
required
Organization Name
string
ttx_code
required
Ttx Code
string
ttx_id
required
Ttx Id
string format: uuid
ttx_name
required
Ttx Name
string

Example generated

{
"items": [
{
"candidates": [
{
"full_name": "example",
"user_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}
],
"organization_name": "example",
"ttx_code": "example",
"ttx_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0",
"ttx_name": "example"
}
]
}